'''
Created on 13/11/2009

@author: George
'''
import wx

import sys

from edu.ufrpe.controlePessoas.RepositorioPessoas import Repositorio
from edu.ufrpe.controlePessoas.gui.panelsPessoa import PanelCadastrarPessoa
from edu.ufrpe.controlePessoas.gui.panelsPessoa import PanelAlterarPessoa
from edu.ufrpe.controlePessoas.gui.panelsPessoa import PanelListarPessoas
from edu.ufrpe.controlePessoas.gui.panelsPessoa import PanelRemoverPessoa

class FramePrincipal(wx.Frame):
    
    
    def __init__(self, parent, id, title):
        
        wx.Frame.__init__(self, parent, id, title, size=wx.Size(411, 220))         
        
        self.repositorio = Repositorio.RepositorioPessoa(sys.path[0]+"\\bancoDeDados.txt", self)
        
        self.panel = wx.Panel(self, -1)             
                        
        menubar = wx.MenuBar()
        
        pessoas = wx.Menu()

        pessoas.Append(1, 'Cadastrar Pessoas', '')
        pessoas.Append(2, 'Alterar Pessoas', '')
        pessoas.Append(3, 'Listar Pessoas', '')
        pessoas.Append(4, 'Remover Pessoas', '')
        menubar.Append(pessoas, '&Pessoas')

        self.SetMenuBar(menubar)

        self.Bind(wx.EVT_MENU, self.mostrarPanelCadastrar, id=1)
        self.Bind(wx.EVT_MENU, self.mostrarPanelAlterar, id=2)
        self.Bind(wx.EVT_MENU, self.mostrarPanelListar, id=3)
        self.Bind(wx.EVT_MENU, self.mostrarPanelRemover, id=4)
        
        self.Centre()
        
        self.Show(True)
        
        
        
    def getRepositorio(self):        
        return self.repositorio
    
    def mostrarPanelCadastrar(self, event):
        self.panel.Hide()
        self.panel = PanelCadastrarPessoa.PanelCadastrarPessoa(self)
        self.panel.Show()         
        
    def mostrarPanelAlterar(self, event):
        self.panel.Hide()
        self.panel = PanelAlterarPessoa.PanelAlterarPessoa(self)
        self.panel.Show()         
        
    def mostrarPanelListar(self, event):
        self.panel.Hide()
        self.panel = PanelListarPessoas.PanelListarPessoa(self)
        self.panel.Show()
        
    def mostrarPanelRemover(self, event):
        self.panel.Hide()
        self.panel = PanelRemoverPessoa.PanelRemoverPessoa(self)
        self.panel.Show()        
        
        
