'''
Created on 13/11/2009

@author: George
'''
import wx

from edu.ufrpe.controlePessoas.entidades import Pessoa

class PanelCadastrarPessoa(wx.Panel):
    def _init_ctrls(self, prnt):
       
        wx.Panel.__init__(self, id=-1, name='', parent=prnt, size=wx.Size(411, 213),#pos=(411, 213),
              style=wx.TAB_TRAVERSAL)
        self.SetClientSize(wx.Size(395, 177))

        self.parent = prnt

        self.labelCadastrarPessoa = wx.StaticText(id=-1,
              label='Cadastrar Pessoas', name='staticText1', parent=self,
              pos=wx.Point(115, 2), size=wx.Size(107, 23), style=0)
        self.labelCadastrarPessoa.SetFont(wx.Font(12, wx.SWISS, wx.NORMAL, wx.BOLD,
              False, 'Tahoma'))

        self.labelNome = wx.StaticText(id=-1, label='Nome: ',
              name='staticText1', parent=self, pos=wx.Point(40, 60),
              size=wx.Size(42, 14), style=0)
        self.labelNome.SetFont(wx.Font(9, wx.SWISS, wx.NORMAL, wx.BOLD, False,
              'Tahoma'))

        self.labelCpf = wx.StaticText(id=-1, label='CPF: ', name='staticText1',
              parent=self, pos=wx.Point(40, 38), size=wx.Size(42, 14), style=0)
        self.labelCpf.SetFont(wx.Font(9, wx.SWISS, wx.NORMAL, wx.BOLD, False,
              'Tahoma'))

        self.labelIdade = wx.StaticText(id=-1, label='Idade: ',
              name='staticText1', parent=self, pos=wx.Point(40, 82),
              size=wx.Size(43, 14), style=0)
        self.labelIdade.SetFont(wx.Font(9, wx.SWISS, wx.NORMAL, wx.BOLD, False,
              'Tahoma'))

        self.labelGenero = wx.StaticText(id=-1, label='Genero: ',
              name='staticText1', parent=self, pos=wx.Point(40, 104),
              size=wx.Size(51, 14), style=0)
        self.labelGenero.SetFont(wx.Font(9, wx.SWISS, wx.NORMAL, wx.BOLD, False,
              'Tahoma'))

        self.escolhaIdade = wx.Choice(choices=self.listaIdades, id=-1,
              name='choice2', parent=self, pos=wx.Point(120, 82),
              size=wx.Size(128, 21), style=0)
        
        
        self.escolhaGenero = wx.Choice(choices=self.listaGeneros, id=-1,
              name='choice1', parent=self, pos=wx.Point(120, 104),
              size=wx.Size(130, 21), style=0)

        self.textNome = wx.TextCtrl(id=-1, name='textCtrl1', parent=self,
              pos=wx.Point(120, 60), size=wx.Size(192, 21), style=0)

        self.textCpf = wx.TextCtrl(id=-1, name='textCtrl2', parent=self,
              pos=wx.Point(120, 38), size=wx.Size(192, 21), style=0)
        
        self.botaoCadastrar = wx.Button(id=11, label='Cadastrar',
              name='button1', parent=self, pos=wx.Point(240, 136),
              size=wx.Size(75, 23), style=0)
        
        self.botaoLimpar = wx.Button(id=12, label='Limpar',
              name='button1', parent=self, pos=wx.Point(120, 136),
              size=wx.Size(75, 23), style=0)        
        
        self.Bind(wx.EVT_BUTTON, self.cadastrar, id=11)
        
        
    def cadastrar(self, event):
        cpf = self.textCpf.GetValue()
        nome = self.textNome.GetValue()
        idade =  self.listaIdades[self.escolhaIdade.GetSelection()]
        genero =  self.listaGeneros[self.escolhaGenero.GetSelection()]
        p = Pessoa.Pessoa(cpf,nome,idade,genero)
        self.parent.repositorio.inserirPessoa(p)
        
            

    def __init__(self, parent):
        
        self.listaGeneros = ["Masculino", "Feminino"]
        self.l = range(1,101)
        self.listaIdades = []
        for i in self.l:
            self.listaIdades.append(str(i))
        
        self._init_ctrls(parent)
        self.AcceptsFocus()
        self.Enable(True) 
